Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.cs.api
Interface CSPermission

    public interface CSPermission

Interface `CSPermission` defines some constant values about permissions.

Field Summary
`static int` | `ALLOW` ALLOW The permission is allowed (value=1).
`static int` | `DELETE` DELETE The delete permission type (value=5).
`static int` | `DENY` DENY The permission is denied (value=0).
`static int` | `EDIT`
`static int` | `EXECUTE` EXECUTE The execute permission type (value=3)
`static int` | `GRANT` GRANT The grant permission type (value=6).
`static int[]` | `permissionTypes` permissionTypes is an array contains permission types (VISIBLE,READ,WRITE,EXECUTE, SCHEDULE,DELETE,GRANT,and UPDATE_STATUS).
`static int` | `READ` READ The read permission type (value=1).
`static int` | `SCHEDULE` SCHEDULE The schedule permission type (value=4)
`static java.lang.String` | `TAG_DELETE` TAG_DELETE The delete permission name (value=delete).
`static java.lang.String` | `TAG_EXECUTE` TAG_EXECUTE The execute permission name (value=execute)
`static java.lang.String` | `TAG_GRANT` TAG_GRANT The grant permission name (value=grant).
`static java.lang.String` | `TAG_READ` TAG_READ The read permission name (value=read).
`static java.lang.String` | `TAG_SCHEDULE` TAG_SCHEDULE The schedule permission name (value=schedule)
`static java.lang.String` | `TAG_UPDATE_STATUS` TAG_UPDATE_STATUS The update status permission name (value=update_status).
`static java.lang.String` | `TAG_VISIBLE` TAG_VISIBLE The visible permission name (value=visible).
`static java.lang.String` | `TAG_WRITE` TAG_WRITE The write permission name (value=write).
`static int` | `UPDATE_STATUS` UPDATE_STATUS The update status permission type (value=7).
`static int` | `VISIBLE` VISIBLE The visible permission type (value=0).
`static int` | `WRITE` WRITE The write permission type (value=2).

Field Detail

### DENY

    static final int DENY

  DENY The permission is denied (value=0).

  See Also:
    Constant Field Values

### ALLOW

    static final int ALLOW

  ALLOW The permission is allowed (value=1).

  See Also:
    Constant Field Values

### TAG_VISIBLE

    static final java.lang.String TAG_VISIBLE

  TAG_VISIBLE The visible permission name (value=visible).

  See Also:
    Constant Field Values

### TAG_READ

    static final java.lang.String TAG_READ

  TAG_READ The read permission name (value=read).

  See Also:
    Constant Field Values

### TAG_WRITE

    static final java.lang.String TAG_WRITE

  TAG_WRITE The write permission name (value=write).

  See Also:
    Constant Field Values

### TAG_DELETE

    static final java.lang.String TAG_DELETE

  TAG_DELETE The delete permission name (value=delete).

  See Also:
    Constant Field Values

### TAG_EXECUTE

    static final java.lang.String TAG_EXECUTE

  TAG_EXECUTE The execute permission name (value=execute)

  See Also:
    Constant Field Values

### TAG_SCHEDULE

    static final java.lang.String TAG_SCHEDULE

  TAG_SCHEDULE The schedule permission name (value=schedule)

  See Also:
    Constant Field Values

### TAG_GRANT

    static final java.lang.String TAG_GRANT

  TAG_GRANT The grant permission name (value=grant).

  See Also:
    Constant Field Values

### TAG_UPDATE_STATUS

    static final java.lang.String TAG_UPDATE_STATUS

  TAG_UPDATE_STATUS The update status permission name (value=update_status).

  See Also:
    Constant Field Values

### VISIBLE

    static final int VISIBLE

  VISIBLE The visible permission type (value=0).

  See Also:
    Constant Field Values

### READ

    static final int READ

  READ The read permission type (value=1).

  See Also:
    Constant Field Values

### WRITE

    static final int WRITE

  WRITE The write permission type (value=2).

  See Also:
    Constant Field Values

### EXECUTE

    static final int EXECUTE

  EXECUTE The execute permission type (value=3)

  See Also:
    Constant Field Values

### SCHEDULE

    static final int SCHEDULE

  SCHEDULE The schedule permission type (value=4)

  See Also:
    Constant Field Values

### DELETE

    static final int DELETE

  DELETE The delete permission type (value=5).

  See Also:
    Constant Field Values

### GRANT

    static final int GRANT

  GRANT The grant permission type (value=6).

  See Also:
    Constant Field Values

### UPDATE_STATUS

    static final int UPDATE_STATUS

  UPDATE_STATUS The update status permission type (value=7).

  See Also:
    Constant Field Values

### EDIT

    static final int EDIT

See Also:
  Constant Field Values

### permissionTypes

    static final int[] permissionTypes

  permissionTypes is an array contains permission types (VISIBLE,READ,WRITE,EXECUTE, SCHEDULE,DELETE,GRANT,and UPDATE_STATUS).

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD